%define _datadir /usr/share/games/fillets-ng/

Name: fillets-ng
Version: 0.8.0
Release: alt2

Summary: puzzle game about witty fish saving the world sokoban-style
Group: Games/Puzzles
License: GPLv2+
Url: http://fillets.sourceforge.net/

Source0: %name-%version.tar.gz

Patch0: fillets-ng-0.8.0-alt-gcc43.patch

Packager: Igor Zubkov <icesik@altlinux.org>

Requires: fillets-ng-data = %version

# Automatically added by buildreq on Tue Dec 02 2008
BuildRequires: gcc-c++ libSDL-devel libSDL_image-devel libSDL_mixer-devel libSDL_ttf-devel libX11-devel libfribidi-devel liblua5-devel

%description
Fish Fillets is strictly a puzzle game. The goal in every of the seventy
levels is always the same: find a safe way out. The fish utter witty remarks
about their surroundings, the various inhabitants of their underwater realm
quarrel among themselves or comment on the efforts of your fish. The whole
game is accompanied by quiet, comforting music.

%prep
%setup -q
%patch0 -p1

%build
%configure
%make_build

%install
%make_install DESTDIR=%buildroot install

%files
%_bindir/*
%_man6dir/*

%changelog
* Tue Dec 02 2008 Igor Zubkov <icesik@altlinux.org> 0.8.0-alt2
- fix build with gcc 4.3

* Wed Mar 05 2008 Igor Zubkov <icesik@altlinux.org> 0.8.0-alt1
- build for Sisyphus

